#include <iostream>
#include <fstream>
using namespace std;
int main()
{
	ifstream fi("DE002.INP");
	long long int n;
	fi>>n;
	n<=41;
	long long int a[100000],i,j;
	ofstream fo("DE002.OUT");
	do
	{
		a[j]=n%2;
		n=n/2;
		j++;
	}
	while (n!=0);
	for(i=j-1;i>=0;i--)
	{
		fo<<a[i];
	}
	fi.close();
	fo.close();
}

